#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import plotly.plotly as py
import plotly.graph_objs as go
from plotly.offline import plot
import pandas as pd


df = pd.read_csv('gdp-life-exp-2007.csv')

layout =  go.Layout(
    title= 'GDP per capital vs Life Expectancy',
    xaxis={'type': 'log', 'title': 'GDP Per Capita'},
                yaxis={'title': 'Life Expectancy'},
                margin={'l': 80, 'b': 80, 't': 50, 'r': 50},
                legend={'x': 0, 'y': 1},
                hovermode='closest'
)

data =[go.Scatter(
                    x=df[df['continent'] == i]['gdp per capita'],
                    y=df[df['continent'] == i]['life expectancy'],
                    text=df[df['continent'] == i]['country'],
                    mode='markers',
                    opacity=0.7,
                    marker={
                        'size': 15,
                        'line': {'width': 0.5, 'color': 'white'}
                    },
                    name=i
                ) for i in df.continent.unique()
       ]


fig= go.Figure(data=data, layout=layout)
plot(fig, filename="plotly_2.html")
    